
Core - Task # 54944

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54272 (Resolved): As an Editor I expect FAL to work with the RTE

Status: Resolved Priority: Should have
Author: Daniel Seebald Category: rtehtmlarea
Created: 2014-01-13 Assigned To: Stanislas Rolland
Updated: 2014-02-19 Due date:
TYPO3 Version: 6.1
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: FAL links in RTE not translated when link has rel-Attribute
Description

I have several image links (<a> Tags) in a RTE text element. These links have FAL references which look like ?file:1234. They
correctly get translated to the real URL when the page is rendered.

As soon as I manually add a rel-Attribute to these links the FAL reference does no longer gets translated but stays at ?file:1234 when
the page has been rendered.

This looks like a bug to me, but I'm not exactly sure if this bug is related to FAL or RTE.

The only workaround for this bug is to not use FAL links but use fixed urls instead.

Associated revisions
Revision ba762857 - 2014-02-19 00:12 - Stanislas Rolland

[BUGFIX] FAL links in RTE not transformed when link has rel attribute

Problem: When the RTE inserts the link, the href looks like
http://somedomain/?file:1234. If a rel attribute is present, the link
is not transformed into a typolink on the way to the database.
However, the href attribute is not transformed, as it should, into a
normal file url. It should because the a-tag will be rendered as is in
the frontend.

Solution: When a link is not be transformed into a typolink,
transform the href into a normal file url.

Resolves: #54944
History
#1 - 2014-01-13 13:03 - Daniel Seebald

Some more details on the system I'm running:

I'm using TYPO3 6.1.5 running on PHP 5.3.10.

#2 - 2014-01-15 15:02 - Steffen Ritter
- Priority changed from Must have to Should have
- Target version set to 6.2.0
- Parent task set to #54272

#3 - 2014-01-23 20:15 - Stanislas Rolland
- Estimated time set to 2.00

#4 - 2014-01-23 20:21 - Stanislas Rolland
- Assigned To set to Stanislas Rolland

#5 - 2014-01-30 01:10 - Stanislas Rolland

When the RTE inserts the link, the href looks like hhtp://somedomain/?file:1234.

If a rel attribute is present, the link is not transformed into a TYPO3 link on the way to the database. However, the href attribute is not transformed, as
it should, into a normal file url. It should because the a-tag will be rendered as is in the frontend.

#6 - 2014-01-30 03:21 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27142

#7 - 2014-02-03 10:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27142

#8 - 2014-02-04 16:23 - Stanislas Rolland
- % Done changed from 0 to 80

#9 - 2014-02-04 17:55 - Stanislas Rolland
- Category changed from File Abstraction Layer (FAL) to rtehtmlarea

#10 - 2014-02-04 18:45 - Stanislas Rolland
- Category changed from rtehtmlarea to File Abstraction Layer (FAL)

#11 - 2014-02-04 18:46 - Stanislas Rolland
- Category changed from File Abstraction Layer (FAL) to rtehtmlarea
#12 - 2014-02-12 15:18 - Stanislas Rolland

Daniel Seebald wrote:

As soon as I manually add a rel-Attribute to these links the FAL reference does no longer gets translated but stays at ?file:1234 when the page has
been rendered.

You don't need to enter those rel attributes manually. You can configure

RTE.default.buttons.link.relAttribute.enabled = 1

in Page TSConfig. An additional field will be presented in the element browser for the rel attribute.

#13 - 2014-02-15 18:55 - Stanislas Rolland
- Estimated time changed from 2.00 to 3.00

#14 - 2014-02-15 18:56 - Stanislas Rolland
- Estimated time changed from 3.00 to 2.50

#15 - 2014-02-19 00:30 - Stanislas Rolland
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:ba7628572ec33010e270d5738d99fbdffc17aed2.
